<h2>Property: <code>flex-basis</code></h2>

<p>Default: <code>flex-basis: auto</code></p>
<div class="container">
  <div>1 <br>flex-basis: auto</div>
  <div>2 <br>flex-basis: auto</div>
  <div>3 <br>flex-basis: auto</div>
  <div>4 <br>flex-basis: auto</div>
</div>

<p>Different <code>flex-basis</code> values (act like width on the main axis)</p>
<div class="basis1 container">
  <div>1 <br>flex-basis: 200px</div>
  <div>2 <br>flex-basis: 300px</div>
  <div>3 <br>flex-basis: auto</div>
  <div>4 <br>flex-basis: 100px</div>
</div>

<p>Percent values (note that it's necessary to combine with <code>flex-shrink</code>)</p>
<div class="basis2 container">
  <div>1 <br>flex-basis: 25%</div>
  <div>2 <br>flex-basis: auto</div>
  <div>3 <br>flex-basis: auto</div>
  <div>4 <br>flex-basis: 50%</div>
</div>